Bug 84173

Summary: [V8] Pass Isolate to toV8Slow()
Product: WebKit Reporter: Kentaro Hara <haraken>
Component: WebCore JavaScriptAssignee: Kentaro Hara <haraken>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, dglazkov, japhet, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 84074    
Attachments:
Description Flags
Patch
none
Patch for relanding. It is revealed that the patch was innocent. none

Description Kentaro Hara 2012-04-17 11:28:06 PDT
The final objective is to pass Isolate around in V8 bindings. In this bug, we pass the Isolate to toV8Slow().
Comment 1 Kentaro Hara 2012-04-17 11:29:35 PDT
Created attachment 137567 [details]
Patch
Comment 2 Kentaro Hara 2012-04-17 15:00:11 PDT
Bots got green. Would anyone take a look?
Comment 3 Kentaro Hara 2012-04-17 15:03:56 PDT
Committed r114440: <http://trac.webkit.org/changeset/114440>
Comment 4 Kentaro Hara 2012-04-17 15:04:20 PDT
Comment on attachment 137567 [details]
Patch

Thanks!
Comment 5 Kentaro Hara 2012-04-20 02:29:47 PDT
Reverted r114440 for reason:

Chromium crash

Committed r114731: <http://trac.webkit.org/changeset/114731>
Comment 6 Kentaro Hara 2012-04-23 09:45:14 PDT
Created attachment 138365 [details]
Patch for relanding. It is revealed that the patch was innocent.
Comment 7 Kentaro Hara 2012-04-23 09:46:24 PDT
Committed r114910: <http://trac.webkit.org/changeset/114910>